<?php
namespace Modules\Admin\CronJobs\Management;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::$resultsPerPageList
	 */
	protected $resultsPerPageList = [5, 10, 15, 20, PHP_INT_MAX];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{

		return ListingColumns::create()
			->append(
				ListingColumn::create('name')
				->setSortable('ASC')
			)
			->append(
				ListingColumn::create('category')
				->setSortable('ASC')
			)
			->append(
				ListingColumn::create('active')
				->setSortable('ASC')
			)
			->append(
				ListingColumn::create('type')
				->setSortable('ASC')
			)
			->append(
				ListingColumn::create('lastExecutionTime')
				->setSortable('ASC')
			)

		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}


	protected function loadTranslations()
	{
		parent::loadTranslations();
		\App\Loader_Lang::getInstance()->loadAppFile('admin/cronJobsManagement/tinaCronJobs.lang.php')->getAll();
	}


}
